OTBGUI_SFSTEXTUREEXTRACTION(1)

NAME
otbgui_SFSTextureExtraction - OTB SFSTextureExtraction application

DESCRIPTION
This is the SFSTextureExtraction application, version 5.2.0 Computes Structural Feature Set textures on every pixel of the input image selected channel

Complete documentation: http://www.orfeo-toolbox.org/Applications/SFSTextureExtraction.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input Image (mandatory)

-channel
    <int32> Selected Channel (mandatory, default value is 1)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-parameters.spethre <float>
    Spectral Threshold (mandatory, default value is 50)

-parameters.spathre <int32>
    Spatial Threshold (mandatory, default value is 100)

-parameters.nbdir
    <int32> Number of Direction (mandatory, default value is 20)

-parameters.alpha
    <float> Alpha (mandatory, default value is 1)

-parameters.maxcons <int32>
    Ratio Maximum Consideration Number (mandatory, default value is 5)

 -out <string> [pixel] Feature Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_SFSTextureExtraction -in qb_RoadExtract.tif -channel 1 -parameters.spethre 50.0 -parameters.spathre 100 -out SFSTextures.tif

SEE ALSO
The full documentation for otbgui_SFSTextureExtraction is maintained as a Texinfo manual. If the info and otbgui_SFSTextureExtraction programs are properly installed at your site, the command

    info otbgui_SFSTextureExtraction

should give you access to the complete manual.